These forums have been archived and are now read-only.

The new forums are live and can be found at https://forums.eveonline.com/

Ships & Modules

 
  • Topic is locked indefinitely.
 

pyfa 1.15.0 (Vanguard)

First post First post First post
Author
Sable Blitzmann
24th Imperial Crusade
Amarr Empire
#621 - 2014-10-01 12:47:25 UTC
For those that are having issues, can you please upload you database files and send me the link via evemail? Before the migration happens the database is backed up to saveddata_migration_* and that will be valuable data to have when i get home.

Also, damage profile format was changed, feel free to post them (they should.already be on the wiki tho)
Ayeshah Volfield
Republic Military School
Minmatar Republic
#622 - 2014-10-01 12:56:07 UTC
DamageProfile = Hybrids - Antimatter,0,20,28,0
DamageProfile = Hybrids - Null,0,24,20,0
DamageProfile = Hybrids - Spike,0,1,1,0
DamageProfile = Hybrids - Void,0,1,1,0
DamageProfile = Lasers - Aurora,20,12,0,0
DamageProfile = Lasers - Conflagration,1,1,0,0
DamageProfile = Lasers - Gleam,1,1,0,0
DamageProfile = Lasers - Multifrequency,28,20,0,0
DamageProfile = Lasers - Radio,1,0,0,0
DamageProfile = Lasers - Scorch,36,6,0,0
DamageProfile = Missiles - EM,1,0,0,0
DamageProfile = Missiles - Explosive,0,0,0,1
DamageProfile = Missiles - Javelin,0,32,24,0
DamageProfile = Missiles - Kinetic,0,0,1,0
DamageProfile = Missiles - Thermal,0,1,0,0
DamageProfile = NPC - Amarr,47,42,7,4
DamageProfile = NPC - Angel,7,9,22,62
DamageProfile = NPC - Blood Raider,50,48,2,0
DamageProfile = NPC - Caldari,1,48,51,0
DamageProfile = NPC - Drones,0,10,20,70
DamageProfile = NPC - Gallente,1,39,60,0
DamageProfile = NPC - Guristas,2,18,79,1
DamageProfile = NPC - Minmatar,12,7,31,50
DamageProfile = NPC - Mordu's Legion,0,30,70,0
DamageProfile = NPC - Sansha,53,47,0,0
DamageProfile = NPC - Serpentis,0,55,45,0
DamageProfile = Projectiles - Barrage,0,0,20,24
DamageProfile = Projectiles - EMP,36,0,4,8
DamageProfile = Projectiles - Fusion,0,0,8,40
DamageProfile = Projectiles - Hail,0,0,13,48
DamageProfile = Projectiles - Phased Plasma,0,40,8,0
DamageProfile = Projectiles - Quake,0,0,20,36
DamageProfile = Projectiles - Tremor,0,0,12,20

EVE is what happens when the rule of law does not apply and Darwinism is allowed to run freely.

Jan Siri Anaplion
Ring 3
#623 - 2014-10-01 14:44:13 UTC  |  Edited by: Jan Siri Anaplion
After upgrading to 1.5.0, Pyfa no longer opens for me, either. Here is the error in question (forums refuse to post if I put the whole stack trace in here, so just the last bit):

sqlalchemy.exc.OperationalError: (OperationalError) no such column: fits.targetResistsID u'SELECT fits."ID" AS "fits_ID", fits."ownerID" AS "fits_ownerID", fits."shipID" AS "fits_shipID", fits.name AS fits_name, fits.timestamp AS fits_timestamp, fits."characterID" AS "fits_characterID", fits."damagePatternID" AS "fits_damagePatternID", fits.booster AS fits_booster, fits."targetResistsID" AS "fits_targetResistsID" \nFROM fits \nWHERE fits.booster = ?' (1,)
Darkblad
Doomheim
#624 - 2014-10-01 14:45:43 UTC
Jan Siri Anaplion wrote:
After upgrading to 1.5.0, Pyfa no longer opens for me, either. Here is the error in question (forums refuse to post if I put the whole stack trace in here, so just the last bit):

sqlalchemy.exc.OperationalError: (OperationalError) no such column: fits.targetResistsID u'SELECT fits."ID" AS "fits_ID", fits."ownerID" AS "fits_ownerID", fits."shipID" AS "fits_shipID", fits.name AS fits_name, fits.timestamp AS fits_timestamp, fits."characterID" AS "fits_characterID", fits."damagePatternID" AS "fits_damagePatternID", fits.booster AS fits_booster, fits."targetResistsID" AS "fits_targetResistsID" \nFROM fits \nWHERE fits.booster = ?' (1,)
Look a few posts above yours and the replies to that one.

NPEISDRIP

Arsine Mayhem
Doomheim
#625 - 2014-10-01 16:09:52 UTC
Workaround.

Export fittings with hyperion version.

Delete just the savedata file in your settings folder. For windows the default location is %userprofile%\.pyfa <-copy, hit windows key + R, then paste.

You can still keep the api, character, program settings.

Update.

Import fittings.
Sable Blitzmann
24th Imperial Crusade
Amarr Empire
#626 - 2014-10-01 17:45:19 UTC
I have somewhat narrowed it down. I think it's an issue with the windows skeleton files (namely, the root file pyfa.py was changed with the new release, however that isn't reflected in the skeletons...) I don't know too much about the skels, so I'll see what can be done by tonight.

I've confirmed v1.5.0 working on Linux. I would like confirmation if the OS X client works if anyone can provide that.

Thanks again for your patience, everyone!
Jason Ozran
0mega.
#627 - 2014-10-01 18:07:10 UTC  |  Edited by: Jason Ozran
Hey Sable,

First thanks for your work on that software. Great stuff!

I found a small issue in 1.4 version (not the last one, had to try that tonight), that is probably easily fixable. Basically, everytime I backup "all the fits" and reimport them, they show up in double (all of them). Take some time to delete the doublons when you have 300+ fits, but duable.

But then to make it harder, if i open the executioner for example, and let's say I have 10 fits (including 5 doublons), if i delete the 5 copies and want to use "<<" button to come back to the list of all frigate to proceed with the tormentor, it shows a white list with nothing in it. I found out why: if i click on the "-" next to 5 of my fits, therefore deleting them, then I have to click 6 times (5 +1) on the "<<" button to go back to the list of frigates. The "+1" is because you would have to click once on it even without deleting fits to go back to the list. Same for all categories of course. Leads from time to time to crashed as well.

Cheers, and long time no see near Egg by the way ;)
Sable Blitzmann
24th Imperial Crusade
Amarr Empire
#628 - 2014-10-01 21:51:44 UTC
I have fixed (hopefully) the issue with the upgrade. I am currently building the new releases and will test them out, be on the look out for v1.5.1 in an hour or so
Sable Blitzmann
24th Imperial Crusade
Amarr Empire
#629 - 2014-10-01 21:59:44 UTC
Jason Ozran wrote:
Hey Sable,

First thanks for your work on that software. Great stuff!

I found a small issue in 1.4 version (not the last one, had to try that tonight), that is probably easily fixable. Basically, everytime I backup "all the fits" and reimport them, they show up in double (all of them). Take some time to delete the doublons when you have 300+ fits, but duable.

But then to make it harder, if i open the executioner for example, and let's say I have 10 fits (including 5 doublons), if i delete the 5 copies and want to use "<<" button to come back to the list of all frigate to proceed with the tormentor, it shows a white list with nothing in it. I found out why: if i click on the "-" next to 5 of my fits, therefore deleting them, then I have to click 6 times (5 +1) on the "<<" button to go back to the list of frigates. The "+1" is because you would have to click once on it even without deleting fits to go back to the list. Same for all categories of course. Leads from time to time to crashed as well.

Cheers, and long time no see near Egg by the way ;)


For the doubled fits: it's because pyfa does not compare imported fit to current fits. If you have 2 fits and export them, then import them, you will now have 4. It might be possible to do some rudimentary checking as a later feature, but it's pretty low on the list.

For the actual bug... yeah, I kinda broke the history navigation recently. Not sure if this particular issue is related, but I need to look into it a bit more. Thanks!

Also, I moved out of FW and into a wormhole. You may see my alt, Kiara V'Sal around from time to time, but she's currently deployed in Alp with fweddit. o7
Utremi Fasolasi
La Dolce Vita
#630 - 2014-10-01 22:44:46 UTC
Sable Blitzmann wrote:
I have fixed (hopefully) the issue with the upgrade. I am currently building the new releases and will test them out, be on the look out for v1.5.1 in an hour or so


I just downloaded this Mac version and it terminates on start. Using Mavericks.
Sable Blitzmann
24th Imperial Crusade
Amarr Empire
#631 - 2014-10-01 22:45:29 UTC  |  Edited by: Sable Blitzmann
Utremi Fasolasi wrote:
Sable Blitzmann wrote:
I have fixed (hopefully) the issue with the upgrade. I am currently building the new releases and will test them out, be on the look out for v1.5.1 in an hour or so


I just downloaded this Mac version and it terminates on start. Using Mavericks.


fml

I'll look into the mac client later tonight. You sure it's v1.5.1? Also, can you send me the database file (should be in .pyfa directory in home)?
Sonny Mogwai
Dreaming Tree
#632 - 2014-10-01 22:50:29 UTC
There seems to be a mistake in Cheetah powergrid. Pyfa shows 21.1MW but it is actually 20.1 in game. Unfortunately this cost me unnecessary purchases of implants etc, but now I have either offline one mode or to replace the implant.
Aiwha
Infinite Point
Test Alliance Please Ignore
#633 - 2014-10-02 01:29:11 UTC
Aiwha wrote:
I had the same issue with launch.


C:\Program Files (x86)\pyfa\sqlalchemy.cresultproxy.pyd

I deleted this file, and Pyfa started right up for me.




Downloaded the update.



Same launch problem.


Same solution.



Does anybody know what I keep deleting and any ideas as to why it fixes it?

Sanity is fun leaving the body.

Utremi Fasolasi
La Dolce Vita
#634 - 2014-10-02 01:46:15 UTC
Sable Blitzmann wrote:
Utremi Fasolasi wrote:
Sable Blitzmann wrote:
I have fixed (hopefully) the issue with the upgrade. I am currently building the new releases and will test them out, be on the look out for v1.5.1 in an hour or so


I just downloaded this Mac version and it terminates on start. Using Mavericks.


fml

I'll look into the mac client later tonight. You sure it's v1.5.1? Also, can you send me the database file (should be in .pyfa directory in home)?



Yeah I downloaded from https://github.com/DarkFenX/Pyfa/releases/tag/v1.5.1

I deleted all the ~/Library/Preferences I could find for Pyfa to troubleshoot so they are all gone now and it still crashed instead of rebuilding them.

Sable Blitzmann
24th Imperial Crusade
Amarr Empire
#635 - 2014-10-02 01:47:10 UTC
Aiwha wrote:
Aiwha wrote:
I had the same issue with launch.


C:\Program Files (x86)\pyfa\sqlalchemy.cresultproxy.pyd

I deleted this file, and Pyfa started right up for me.



Downloaded the update.


Same launch problem.


Same solution.


Does anybody know what I keep deleting and any ideas as to why it fixes it?


This is a problem with the skeleton. The current idea is that this file is corrupted, and we just haven't really looked at rebuilding the skeleton (with the trouble I had with v1.5.0 I will be looking into this hopefully by the next big release).

Why does it fix it? I think removing the file (which is a compiled python file) forces the python interpreter to use the non-compiled one that it comes with. That's why removing it doesn't break things.
Sable Blitzmann
24th Imperial Crusade
Amarr Empire
#636 - 2014-10-02 02:03:22 UTC
Utremi Fasolasi wrote:
Sable Blitzmann wrote:
Utremi Fasolasi wrote:
Sable Blitzmann wrote:
I have fixed (hopefully) the issue with the upgrade. I am currently building the new releases and will test them out, be on the look out for v1.5.1 in an hour or so


I just downloaded this Mac version and it terminates on start. Using Mavericks.


fml

I'll look into the mac client later tonight. You sure it's v1.5.1? Also, can you send me the database file (should be in .pyfa directory in home)?



Yeah I downloaded from https://github.com/DarkFenX/Pyfa/releases/tag/v1.5.1

I deleted all the ~/Library/Preferences I could find for Pyfa to troubleshoot so they are all gone now and it still crashed instead of rebuilding them.



I have Mountain Lion on a VM, and both v1.5.0 and v1.5.1 were downloaded and launched fine from what I can tell... Both started from a blank profile tho with no previous fits. I can continue to look at these (been meaning to install OS X on a partition) but as long as they work for me I can't give you any help as I'm not too familiar with Macs. Perhaps another mac user can share some insight?

Do you see any error logs?

Also, pyfa prefs aren't stored in ~/Library/Preferences (should they be?). They are stored in ~/.pyfa. Check there. saveddata.db is your user database for pyfa - back that up to make sure you don't lose data, and alternatively send me a link with you saveddata.db file uploaded somewhere
SegaPhoenix
Anomalies Anonymous
Initiative Associates
#637 - 2014-10-02 02:56:54 UTC
Sable Blitzmann wrote:
I have fixed (hopefully) the issue with the upgrade. I am currently building the new releases and will test them out, be on the look out for v1.5.1 in an hour or so


V 1.5.1 works flawlessly for me on the first try, thanks for the quick update =)
Utremi Fasolasi
La Dolce Vita
#638 - 2014-10-02 03:11:39 UTC
Sable Blitzmann wrote:
[

Also, pyfa prefs aren't stored in ~/Library/Preferences (should they be?). They are stored in ~/.pyfa. Check there. saveddata.db is your user database for pyfa - back that up to make sure you don't lose data, and alternatively send me a link with you saveddata.db file uploaded somewhere


Ah ok. I didnt have any fits saved so I emptied that folder and it launches fine now.

Problem solved.
Bienator II
madmen of the skies
#639 - 2014-10-02 03:54:05 UTC  |  Edited by: Bienator II
feature idea:
let us fit a clone like a ship and simply select them via dropdown box for each ship.

edit: 1.5.1 works great, tested in windows and linux ;)

how to fix eve: 1) remove ECM 2) rename dampeners to ECM 3) add new anti-drone ewar for caldari 4) give offgrid boosters ongrid combat value

Balthazar Lestrane
Dirt 'n' Glitter
Local Is Primary
#640 - 2014-10-02 03:54:42 UTC
Darkblad wrote:
Both of you might check what happens when you rename your .pyfa folder (WIN-R, then %USERPROFILE%\.pyfa) and try to run 1.5 again. The warning on the github page (and the update notification dialog when running pyfa 1.4.0)
Quote:
WARNING: This release introduces a new data migration process, while also attempting to convert modules on existing fits to conform with Oceanus Module Tiericide initiative. Please backup fits / user files before updating.
made me aware of possible issues. No luck with active 1.4.0 profile, but after renaming the profile, 1.5.0 launched just fine. Certainly without any user data.

Update: error_log.txt content of my attempt to launch 1.5.0 with existing user profile.


That fixed it! Thanks very much for all the help, I can't tolerate EFT at all. Lol